Package io.vertx.grpc.reflection.v1

## Enum ServerReflectionResponse.MessageResponseCase

- java.lang.Object
- - java.lang.Enum<ServerReflectionResponse.MessageResponseCase>
  - - io.vertx.grpc.reflection.v1.ServerReflectionResponse.MessageResponseCase

- All Implemented Interfaces:
    `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ServerReflectionResponse.MessageResponseCase>`
  Enclosing class:
    ServerReflectionResponse

      public static enum ServerReflectionResponse.MessageResponseCase
      extends Enum<ServerReflectionResponse.MessageResponseCase>
      implements com.google.protobuf.Internal.EnumLite

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL_EXTENSION_NUMBERS_RESPONSE` |
    `ERROR_RESPONSE` |
    `FILE_DESCRIPTOR_RESPONSE` |
    `LIST_SERVICES_RESPONSE` |
    `MESSAGERESPONSE_NOT_SET` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServerReflectionResponse.MessageResponseCase` | `forNumber​(int value)` |
    `int` | `getNumber()` |
    `static ServerReflectionResponse.MessageResponseCase` | `valueOf​(int value)` | Deprecated.
    `static ServerReflectionResponse.MessageResponseCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ServerReflectionResponse.MessageResponseCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE_DESCRIPTOR_RESPONSE

          public static final ServerReflectionResponse.MessageResponseCase FILE_DESCRIPTOR_RESPONSE

    - #### ALL_EXTENSION_NUMBERS_RESPONSE

          public static final ServerReflectionResponse.MessageResponseCase ALL_EXTENSION_NUMBERS_RESPONSE

    - #### LIST_SERVICES_RESPONSE

          public static final ServerReflectionResponse.MessageResponseCase LIST_SERVICES_RESPONSE

    - #### ERROR_RESPONSE

          public static final ServerReflectionResponse.MessageResponseCase ERROR_RESPONSE

    - #### MESSAGERESPONSE_NOT_SET

          public static final ServerReflectionResponse.MessageResponseCase MESSAGERESPONSE_NOT_SET

  - ### Method Detail

    - #### values

          public static ServerReflectionResponse.MessageResponseCase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerReflectionResponse.MessageResponseCase c : ServerReflectionResponse.MessageResponseCase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerReflectionResponse.MessageResponseCase valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          @Deprecated
          public static ServerReflectionResponse.MessageResponseCase valueOf​(int value)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `value` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forNumber

          public static ServerReflectionResponse.MessageResponseCase forNumber​(int value)

    - #### getNumber

          public int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`